# std::_Array_copy_ctor< _Tp, > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, bool>
struct std::_Array_copy_ctor< _Tp, >

Definition at line 144 of file valarray_array.h.

## Static Public Member Functions

- static void _S_do_it (const _Tp *__restrict__ __b, const _Tp *__restrict__ __e, _Tp *__restrict__ __o)

The documentation for this struct was generated from the following file:

- valarray_array.h